Apple 列出 235 个与 macOS Catalina 不兼容的应用

局长
 局长
发布于 2019年10月14日
收藏 6

macOS Catalina 正式版已于上周发布,新版本带来了许多令人振奋的改进,不过兼容性方面的问题也“劝退”了部分原本计划升级的用户。

从该版本开始,macOS Catalina(10.15)不再支持 32 位应用,这也是首个只支持 64 位应用程序的 macOS 版本,亦即意味着有数量相当可观的一批旧应用将不能在新系统中运行。

近日一名 iOS 开发者发现 macOS Catalina 内部一个名为 IncompatibleAppsList.bundle 的资源文件包列出了总计 235 个与 macOS Catalina 不兼容的应用列表,资源文件包的路径为/Library/Apple/Library/Bundles/

据介绍,这份列表用于在安装 Catalina 过程中向用户提醒不兼容新系统的已安装应用程序,下面是一个提醒示例:

Transmit: this version of Transmit is not compatible with this version of macOS. 

列举部分值得关注的应用:

  • Transmit 4.1.7
  • 1Password 2.12.2
  • iStats Menu 2.9
  • Box Sync 4.0
  • QuickBooks 2015
  • SugarSync 1.0
  • Default Folder X 4.3.10
  • VMWare Fusion 3.1.4
  • Creative Cloud 1.1.0.592
  • Parallels 2.5
  • ……

完整的列表请查看:https://gist.github.com/stevemoser/a4388df17633beae5bc3fb07d38373e2

到底要不要升级到新系统呢,事实上这个改动对于近两年才使用 Mac 的用户来说影响不大,毕竟 Apple 早已在 macOS 中全面推动开发者开发 64 位应用,但如果你是一名常年使用 Mac 的老用户,那么升级之前最好查一下应用的兼容性情况(尤其是 Adobe 系应用),方法如下:

打开「关于本机」> 在「概览」里选择「系统报告」> 选择「应用程序」> 点击应用即可查看。

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 OSCHINA 社区 [http://www.oschina.net]
本文标题:Apple 列出 235 个与 macOS Catalina 不兼容的应用
加载中

精彩评论

谋定而动-知止而有得
谋定而动-知止而有得
macos反人类得很,每次更新都是一大堆不兼容,学下巨硬
E
EternalEnvy
就问一句,开发测试交付不需要成本的吗?再说有些还在用的上古工业软件恐怕开发者都没了,找谁更新?当然MacOS作为一个玩具系统当然不需要考虑兼容性,毕竟连苹果自家MacPro生产线都是iMac装的Windows。
谋定而动-知止而有得
谋定而动-知止而有得
@朝鲜驻开源中国大使 估计这就是windows比macos更流行的原因之一
冰力
冰力
有道翻译 不兼容。
朝鲜驻开源中国大使
朝鲜驻开源中国大使
为什么要兼容?搞得系统非常臃肿.测试版早放出来了,那些不兼容的开发者在干什么?

最新评论(27

z
zhidan
企业qq 不能用
了不起的盖茨比A
了不起的盖茨比A
说不兼容,其实是更新,推进软件进步知道吗,一成不变,你们又说苹果没创意
针叶
针叶
牛逼!
wkclz
wkclz
作为开发者,更愿意看到完整的生态,而不是碎片化的
HalLi
HalLi
反人类的说法过了,又不是毫无征兆就直接不兼容,最多就是时间问题。
巴拉迪维
巴拉迪维
这次升级,感觉步子迈大了,咖的一声,扯到了蛋!
悦亮工作室
悦亮工作室
还好我有备份 直接滚回去了
张亦俊
张亦俊
刚有人跟我讲,cmake跪了……
w
windrise67
flutter不兼容
陈雄
陈雄
不更新几个版本是不敢升级了,这就是苹果的尿性。可能是苹果印度开发人员多的原因吧😅
返回顶部
顶部